Package Details: jekyll 4.1.1-1

Git Clone URL: https://aur.archlinux.org/jekyll.git (read-only, click to copy)
Package Base: jekyll
Description: A simple, blog aware, static site generator.
Upstream URL: https://github.com/jekyll/jekyll
Keywords: jekyll ruby
Licenses: MIT
Conflicts: ruby-jekyll
Provides: jekyll=4.1.1, ruby-jekyll
Replaces: ruby-jekyll
Submitter: SilverRainZ
Maintainer: SilverRainZ (bjo, bertptrs)
Last Packager: bertptrs
Votes: 79
Popularity: 2.79
First Submitted: 2017-11-20 05:56
Last Updated: 2020-06-24 17:35

Latest Comments

« First ‹ Previous ... 2 3 4 5 6 7 8 9 10 11 12 Next › Last »

orschiro commented on 2014-10-26 12:16

Adding `nodejs` as a dependency does fix my previously reported issue.

orschiro commented on 2014-10-26 10:59

I cannot launch jekyll. It misses a JavaScript runtime. Anyone with the same issue?

/usr/lib/ruby/gems/2.1.0/gems/execjs-2.2.2/lib/execjs/runtimes.rb:51:in `autodetect': Could not find a JavaScript runtime. See https://github.com/sstephenson/execjs for a list of available runtimes. (ExecJS::RuntimeUnavailable)

WhyNotHugo commented on 2014-09-11 13:53

I believe this package should be called "jekyll", instead of "ruby-jekyll": https://wiki.archlinux.org/index.php/Ruby_Gem_Package_Guidelines#Package_naming

Darkhogg commented on 2014-08-04 11:09

Jekyll 2.2.0 has been out for a week now: http://jekyllrb.com/news/2014/07/29/jekyll-2-2-0-released/

nickoe commented on 2014-07-27 13:20

cd blog before build

nickoe commented on 2014-07-27 13:20

cd blog bevore build

probil commented on 2014-07-27 12:59

I have some trouble. How to fix it?

> jekyll new blog
New jekyll site installed in /home/maks/blog.
> jekyll build -d ./blog
Configuration file: none
Source: /home/maks
Destination: ./blog
Generating...
jekyll 2.1.1 | Error: No such file or directory @ rb_sysopen - /home/maks/Документи/pkg/lib32-curl/usr/share/licenses/lib32-curl

WhyNotHugo commented on 2014-07-13 17:00

Depends missing: ruby-listen.

anatolik commented on 2014-07-09 13:42

Sorry for missed dependencies. Added them to AUR as well.

hahnjo commented on 2014-07-09 07:05

It cannot find ruby-jekyll-paginate (there is ruby-jekyll-pagination), ruby-jekyll-gist nor ruby-jekyll-watch...